PROGRAM_NAME='Main'

DEFINE_DEVICE
Dv_Master = 5001:1:0			// - [D:P:S] ::()
Dv_Relay = 5001:4:0			//    [D:P:S] Port: 4 =   NI2100, 4  >> Pot:4, Code: 1-4
Dv_TP1 = 10001:1:0			//   (iRidium)  -

DEFINE_EVENT

BUTTON_EVENT [Dv_TP1,1]  // [Device,Channel]   Channel Code: 1   Dv_TP1
{
    PUSH: 
    {
	on[Dv_Relay,1]			//   1    Channel Code: 1
    }
    
    RELEASE:
    {
	off[Dv_Relay,1]
    }
}

BUTTON_EVENT [Dv_TP1,2]  // [Device,Channel]   Channel Code: 1   Dv_TP1
{
    PUSH: 
    {
	send_command Dv_TP1,"'^TXT-2,0,text string'"		//  "test string"  Address Code: 2   Channel Code: 2
	send_command Dv_TP1,"'^BCT-2,1,red'"			// #RGBA (16)  ["'^cmd-address,state,parameter'"] state - 
    }
}

LEVEL_EVENT [Dv_TP1,1]
{
    if (Level.Value > 100)
	on[Dv_Relay,2]  		//  2  NI2100   Level Code: 1  Value > 100
    else 
	off[Dv_Relay,2]
	
	
    send_level Dv_TP1,2, Level.VALUE  //  Value  Level Code: 1  Level Code: 2 (..    1,   2)
    
    
	
    
}
